Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmDimensionCalculationModel

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mdm.MdmObject
                  |
                  +--oracle.olapi.metadata.mdm.MdmModel
                        |
                        +--oracle.olapi.metadata.mdm.MdmDimensionCalculationModel

public class MdmDimensionCalculationModel
extends MdmModel

An `MdmModel` that is associated with an `MdmPrimaryDimension`; an `MdmMeasureModel` inherits the `Assignment` objects of the `MdmDimensionCalculationModel` objects of the appropriate data type of its associated `MdmPrimaryDimension` objects. An `MdmPrimaryDimension` has an associated `MdmDimensionCalculationModel` object for each of the following data types.

- Boolean
- Date
- Number
- String

An application can get an `MdmDimensionCalculationModel` by calling a method such as `getStringCalcModel()` of an `MdmPrimaryDimension`.

Method Summary
`java.lang.Object` | `acceptVisitor(MdmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMdmDimensionCalculationModel` method of the `MdmObjectVisitor` and passes that method this `MdmDimensionCalculationModel` and an `Object`.
`java.util.List` | `getAutoAssignments()` Gets the `Assignment` objects that Oracle OLAP automatically creates for the `MdmDimensionCalculationModel`.
`FundamentalMetadataObject` | `getDataType()` Gets the `FundamentalMetadataObject` that represents the data type of the `MdmDimensionCalculationModel`.
`java.util.List` | `getInputs()` Gets an empty `List` because an `MdmDimensionCalculationModel` does not have inputs.
`MdmPrimaryDimension` | `getMdmDimension()` Gets the `MdmPrimaryDimension` for the `MdmDimensionCalculationModel`.
`MdmSource` | `getMdmSource()` Gets the `MdmSource` for the `MdmDimensionCalculationModel`.
`java.util.List` | `getParentModels()` Gets an empty `List` because an `MdmDimensionCalculationModel` does not have any parent `MdmModel` objects.
`Source` | `getType()` Gets the `Source` that represents the type of the `MdmDimensionCalculationModel`.

Methods inherited from class oracle.olapi.metadata.mdm.MdmModel
`assign, assign, assign, assign, assign, assign, createSolvedSource, createSolvedSource, getAssignments, getDefaultPrecedence, getOutputs, setDefaultPrecedence, unassign`

Methods inherited from class oracle.olapi.metadata.mdm.MdmObject
`getDescription, getMetadataProvider, getName, getShortDescription, setDescription, setName, setShortDescription`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MdmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMdmDimensionCalculationModel` method of the `MdmObjectVisitor` and passes that method this `MdmDimensionCalculationModel` and an `Object`.
  Overrides:
    acceptVisitor in class MdmObject
  Parameters:
    `visitor` - An `MdmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMdmDimensionCalculationModel` method.

### getMdmDimension

    public final MdmPrimaryDimension getMdmDimension()

  Gets the `MdmPrimaryDimension` for the `MdmDimensionCalculationModel`.
  Returns:
    The `MdmPrimaryDimension` for the `MdmDimensionCalculationModel`.

### getMdmSource

    public final MdmSource getMdmSource()

  Gets the `MdmSource` for the `MdmDimensionCalculationModel`. The `MdmSource` for an `MdmDimensionCalculationModel` is an `MdmPrimaryDimension`.
  Overrides:
    getMdmSource in class MdmModel
  Returns:
    The `MdmSource` for the `MdmDimensionCalculationModel`.

### getDataType

    public final FundamentalMetadataObject getDataType()

  Gets the `FundamentalMetadataObject` that represents the data type of the `MdmDimensionCalculationModel`.
  Returns:
    The `FundamentalMetadataObject` that represents the data type of `MdmDimensionCalculationModel`.

### getType

    public final Source getType()

  Gets the `Source` that represents the type of the `MdmDimensionCalculationModel`.
  Overrides:
    getType in class MdmModel
  Returns:
    The `Source` that represents the type of `MdmDimensionCalculationModel`.

### getInputs

    public final java.util.List getInputs()

  Gets an empty `List` because an `MdmDimensionCalculationModel` does not have inputs.
  Overrides:
    getInputs in class MdmModel
  Returns:
    An empty `List`.

### getParentModels

    public final java.util.List getParentModels()

  Gets an empty `List` because an `MdmDimensionCalculationModel` does not have any parent `MdmModel` objects.
  Overrides:
    getParentModels in class MdmModel
  Returns:
    An empty `List`.

### getAutoAssignments

    public java.util.List getAutoAssignments()

  Gets the `Assignment` objects that Oracle OLAP automatically creates for the `MdmDimensionCalculationModel`. When you create a custom dimension member, Oracle OLAP automatically creates an `Assignment` of the appropriate data type.
  Returns:
    A `List` of the `Assignment` objects that Oracle OLAP automatically creates for the `MdmDimensionCalculationModel`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.